import request from "@/utils/request";
//通过ID获取工序详情
export function getStation(id: any) {
  return request({
    url: "/api/v1/plan/task/station/" + `${id}`,
    method: "get",
  });
}
//分页获取当前订单列表
export function workOrderPage(data: any) {
  return request(
    {
      url: "/api/v1/plan/workOrder/page",
      method: "post",
      data,
    },
    { loadingKey: "getListData" }
  );
}
//预齐套列表数据获取
export function getListData(data: any) {
  return request({
    url: "/api/v1/process/vehicleOperation/operationMaterial",
    method: "post",
    data,
  },{ loadingKey: "operationMaterial" });
}
//预齐套箱数据获取
export function getBoxInfo(data: any) {
  return request({
    url: "/api/v1/process/vehicleOperation/processVehicle",
    method: "post",
    data,
  });
}
//扫描料箱
export function getBoxDetail(data: any) {
  return request({
    url: "/api/v1/process/vehicleOperation/vehicleDetail",
    method: "post",
    data,
  });
}
//扫物料码返扫码数据
export function getMaterialInfo(data: any) {
  return request({
    url: "/api/v1/process/vehicleOperation/material",
    method: "post",
    data,
  });
}
//绑定箱子
export function vehicleBiding(data: any) {
  return request({
    url: "/api/v1/process/vehicleOperation/vehicleBiding",
    method: "post",
    data,
  });
}
//箱子出库
export function outBox(data: any) {
  return request({
    url: "/api/v1/wmsOrder/outBox",
    method: "post",
    data,
  });
}
//新载具物料绑定
export function addOperation(data: any) {
  return request({
    url: "/api/v1/process/vehicleOperation/add",
    method: "post",
    data,
  });
}
//扫盒子
export function getVehicleInfo(id: any) {
  return request({
    url: "/api/v1/wms/vehicle/getVehicleInfo/" + `${id}`,
    method: "get",
  });
}
